datablock ParticleData(teleportparticle)
{
   dragCoefficient      = 1.5;
   gravityCoefficient   = 0.2;

   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;

   lifetimeMS           = 1250;
   lifetimeVarianceMS   = 0;

   textureName          = "particleTest";

   colors[0]     = "0.46 0.36 0.26 1.0";
   colors[1]     = "0.46 0.36 0.26 0.0";
   sizes[0]      = 0.65;
   sizes[1]      = 0.30;
};

datablock ParticleEmitterData(teleporterEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 1.1;
   velocityVariance = 1.0;
   ejectionOffset   = 2.0;
   
   thetaMin         = 0.0;
   thetaMax         = 10.0;
   
   phiReferenceVel  = 0.0;    // All phi angles
   phiVariance      = 360.0;

   overrideAdvances = false;
   particles = "teleportparticle";
};


datablock ParticleData(teleportparticle1)
{
   dragCoefficient      = 0.0;   // Not affected by drag
   gravityCoefficient   = -0.0;   // ...or gravity
   windCoefficient      = 0.0;

   inheritedVelFactor   = 0.2;   // Do not inherit emitters velocity
   constantAcceleration = 0.0;   // No constant accel along initial velocity

   lifetimeMS           = 1000;  // lasts 1 second
   lifetimeVarianceMS   = 0;     // ...exactly

   textureName          = "particleTest";

   colors[0]     = "1 1 1 1";    // All white, no blending
   colors[1]     = "0 0 0.75 0.8";
   colors[2]     = "0 0.75 0 0.6";
   colors[3]     = "0.75 0 0 0.4";

   sizes[0]      = 0.1;            // One meter across
   sizes[1]      = 0.15;
   sizes[2]      = 0.2;
   sizes[3]      = 0.25;

};

datablock ParticleEmitterData(teleporterEmitter1)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 3.1;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   
   thetaMin         = 0.0;
   thetaMax         = 45.0;
   
   phiReferenceVel  = 0.0;    // All phi angles
   phiVariance      = 360.0;

   overrideAdvances = false;
   particles = "teleportparticle1";
};